@import url("https://fonts.cdnfonts.com/css/poppins");
* {
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  user-select: none;
}
hr {
  color: gray;
  border-style: inset;
  border-width: 1px;
  margin: 1rem auto;
  width: 80%;
}
body {
  background-color: rgb(206, 206, 206);
  transition: all 0.3s ease;
}
header {
  width: 100%;
  height: 90px;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed; /* Make the navbar fixed */
  font-family: "Poppins";
  top: 0;
  left: 0;
  right: 0;
  z-index: 1;
  padding: 0 40px;
  background: white; /* Semi-transparent background */
  backdrop-filter: blur(10px); /* Glassmorphism effect */
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Optional: add a slight shadow */
  transition: all 0.3s ease;
}
.header-end {
  display: flex;
}
.he-text {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.he-text p,
.he-text a {
  font-size: 14px;
}
.he-text a {
  transition: all 0.3s ease;
  color: black;
  display: flex;
  align-items: center;
}
.he-text a h2 {
  font-size: 20px;
}
.header-end a img {
  width: 25px;
}
#dark-mode-toggle {
  border: none;
  border-radius: 8px;
  background: rgba(100, 100, 100);
  color: white;
  cursor: pointer;
  margin-left: 10px;
  transition: 0.3s;
}
#dark-mode-toggle:hover {
  transition: 0.3s;
  background-color: rgba(140, 140, 140);
}
.logo a {
  display: flex;
  align-items: center;
  text-decoration: none;
}
.logo-image {
  width: 200px;
  height: 70px;
  margin-right: 10px;
  transition: all 0.3s ease;
  position: absolute;
}
.logo-image-dark {
  width: 200px;
  height: 70px;
  margin-right: 10px;
  opacity: 0;
  transition: all 0.3s ease;
}
.text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 130px auto 50px 60px;
  background-color: white;
  border-radius: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 48%;
  padding: 10px;
  text-align: center;
  transition: all 0.3s ease;
}
.text h1,
.text3 h1,
.text4 h1 {
  font-family: "Poppins";
  font-size: 30px;
  margin-bottom: 10px;
}
.text p,
.text3 p,
.text4 p {
  font-size: 16px;
  font-family: "Poppins";
  font-weight: normal;
  line-height: 25px;
}
.text2,
.text4 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 10px 60px 50px auto;
  width: 48%;
  padding: 10px;
  text-align: center;
  transition: all 0.3s ease;
}
.t4-p {
  background-color: white;
  border-radius: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 8px;
  margin: 5px;
  transition: all 0.3s ease;
}
.t4-title,
.t3-title,
.t2-title {
  width: 100%;
  background-color: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 8px;
  border-radius: 20px;
  margin-bottom: 5px;
  transition: all 0.3s ease;
}
.text2 h1 {
  font-family: "Poppins";
  font-size: 20px;
  margin-bottom: 10px;
}
.t4-grid,
.t3-grid,
.t2-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  width: 100%;
}
.t4-grid-item,
.t3-grid-item,
.t2-grid-item {
  background-color: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 10px;
  margin: 5px;
  border-radius: 20px;
  font-family: "Poppins";
  font-size: 15px;
  transition: all 0.3s ease;
}
.text4 li {
  font-size: 15px;
  font-family: "Poppins";
  font-weight: normal;
  text-align: left;
}
.text2 span,
.text3 span,
.text4 span {
  font-weight: bold;
}
.text3 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 10px auto 50px 60px;
  width: 48%;
  padding: 10px;
  text-align: center;
  transition: all 0.3s ease;
}
.associates {
  display: flex;
  place-items: center;
  margin-inline: 1.5rem;
  flex-direction: column;
  margin-bottom: 30px;
}
.associates p {
  margin-top: -20px;
  font-size: 18px;
  font-family: "Poppins";
  font-weight: normal;
  line-height: 25px;
  text-align: center;
}
.associates h1 {
  font-family: "Poppins";
  font-size: 2.5rem;
  transition: all 0.3s ease;
  text-align: center;
  margin-top: 20px;
}
.card__container {
  display: grid;
  row-gap: 3.5rem;
}
.card__article {
  position: relative;
  overflow: hidden;
}
.card__img {
  width: 350px;
  border-radius: 1.5rem;
}
.card__data {
  width: 280px;
  background-color: white;
  padding: 1.5rem 2rem;
  box-shadow: 0 8px 24px hsla(0, 0%, 0%, 0.15);
  border-radius: 1rem;
  position: absolute;
  bottom: -9rem;
  left: 0;
  right: 0;
  margin-inline: auto;
  opacity: 0;
  transition: opacity 1s 1s;
}
.card__description {
  display: block;
  font-size: 15px;
  margin-bottom: 0.25rem;
  font-family: "Poppins";
}
.card__title {
  font-size: 20px;
  font-weight: 500;
  margin-bottom: 0.75 rem;
  font-family: "Poppins";
}
.card__button {
  display: block;
  text-decoration: none;
  text-align: center;
  font-size: 13px;
  font-weight: 500;
  background-color: rgba(100, 100, 100);
  width: 100%;
  padding: 2px;
  border-radius: 4px;
  color: white;
  font-family: "Poppins";
  transition: all 0.3s ease;
}
.card-button:hover {
  background-color: rgba(140, 140, 140);
}
.card__article:hover .card__data {
  animation: show-data 1s forwards;
  opacity: 1;
  transition: opacity 0.3s;
}
.card__article:hover {
  animation: remove-overflow 2s forwards;
}
.card__article:not(:hover) {
  animation: show-overflow 2s forwards;
}
.card__article:not(:hover) .card__data {
  animation: remove-data 1s forwards;
}
footer {
  display: flex;
  background-color: white;
  padding: 3px;
  justify-content: center;
  align-items: center;
  font-family: "Poppins";
  font-size: 12px;
  margin-top: 10px;
  transition: all 0.3s ease;
}
footer a {
  margin-left: 10px;
  transition: all 0.3s ease;
}
.mcn-logo {
  width: 40px;
  transition: all 0.3s ease;
  margin-left: 10px;
  position: absolute;
}
.mcn-logo-dark {
  width: 40px;
  margin-left: 10px;
  opacity: 0;
}
body.dark-mode {
  background-color: rgba(54, 50, 50);
}
body.dark-mode .logo-image {
  opacity: 0;
}
body.dark-mode .logo-image-dark {
  opacity: 1;
  position: relative;
}
body.dark-mode .mcn-logo {
  opacity: 0;
}
body.dark-mode .mcn-logo-dark {
  opacity: 1;
  position: relative;
}
body.dark-mode .associates h1,
body.dark-mode .associates p,
body.dark-mode .he-text a {
  color: white;
}
body.dark-mode .card__data,
body.dark-mode .text,
body.dark-mode .t2-title,
body.dark-mode .t2-grid-item,
body.dark-mode .t3-title,
body.dark-mode .t3-grid-item,
body.dark-mode .t4-p,
body.dark-mode .t4-title,
body.dark-mode .t4-grid-item,
body.dark-mode footer,
body.dark-mode header {
  background-color: rgb(32, 30, 30);
  color: white;
}
@keyframes show-data {
  50% {
    transform: translateY(-10rem);
  }
  100% {
    transform: translateY(-7rem);
  }
}
@keyframes remove-overflow {
  to {
    overflow: initial;
  }
}
@keyframes remove-data {
  0% {
    transform: translateY(-7rem);
  }
  50% {
    transform: translateY(-10rem);
  }
  100% {
    transform: translateY(0.5rem);
  }
}
@keyframes show-overflow {
  0% {
    overflow: initial;
    pointer-events: none;
  }
  50% {
    overflow: hidden;
  }
}
@media screen and (max-width: 340px) {
  .associates {
    margin-inline: 1rem;
  }
  .text h1,
  .text3 h1,
  .text4 h1 {
    font-size: 20px;
  }
  .text p,
  .text3 p,
  .text4 p {
    font-size: 14px;
  }
  .text2 h1 {
    font-size: 18px;
  }
  .card__data {
    max-width: 200px;
    padding: 1rem;
  }
  .card__img {
    max-width: 240px;
  }
  .header-end {
    flex-direction: column;
  }
  .header-end h2 {
    white-space: nowrap;
  }
  #dark-mode-toggle {
    margin: 0;
  }
}
@media screen and (max-width: 767px) {
  header {
    flex-direction: column;
    height: 170px;
  }
  .header-end {
    margin-bottom: 10px;
  }
  .text {
    margin: 190px auto 50px 10px;
  }
  .text3 {
    margin: 10px auto 50px 10px;
  }
  .text2,
  .text4 {
    margin: 10px 10px 50px auto;
  }
  .text,
  .text2,
  .text3,
  .text4 {
    width: 80%;
  }
  .associates h1 {
    font-size: 2rem;
    margin-bottom: 40px;
  }
  .associates p {
    margin-top: 30px;
  }
  .card__img {
    width: 280px;
  }
  .card__data {
    width: 250px;
  }
  footer {
    margin-top: 50px;
  }
}
@media screen and (min-width: 768px) {
  .card__container {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1.5rem;
    margin: 5% auto 5%;
  }
}
@media screen and (min-width: 1120px) {
  .card__container {
    grid-template-columns: repeat(3, 1fr);
  }
  .card__img {
    width: 318px;
  }
}
